Get a subscription's manifest
curl --request GET \
--url https://api.ploti.ai/v1/subscriptions/{subscriptionId}/manifest \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ploti.ai/v1/subscriptions/{subscriptionId}/manifest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ploti.ai/v1/subscriptions/{subscriptionId}/manifest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ploti.ai/v1/subscriptions/{subscriptionId}/manifest",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ploti.ai/v1/subscriptions/{subscriptionId}/manifest"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ploti.ai/v1/subscriptions/{subscriptionId}/manifest")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ploti.ai/v1/subscriptions/{subscriptionId}/manifest")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"subscriptionId": "<string>",
"generatedAt": "2023-11-07T05:31:56Z",
"eventCursor": "<string>",
"datasets": [
{
"datasetId": "<string>",
"version": 123,
"schemaVersion": "<string>",
"files": {
"snapshot": [
{
"url": "<string>",
"format": "geoparquet",
"rows": 123,
"bytes": 123,
"sha256": "<string>"
}
],
"schema": {
"url": "<string>",
"format": "geoparquet",
"rows": 123,
"bytes": 123,
"sha256": "<string>"
},
"expiresAt": "2023-11-07T05:31:56Z"
},
"title": "<string>",
"place": "<string>",
"topic": "<string>"
}
]
}Subscriptions
Get a subscription's manifest
Every dataset the subscription delivers with its current version,
schema version and file links, plus the event cursor this manifest
is current as of. Load these snapshots, then read events after
eventCursor, and nothing is missed.
Get a subscription's manifest
curl --request GET \
--url https://api.ploti.ai/v1/subscriptions/{subscriptionId}/manifest \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ploti.ai/v1/subscriptions/{subscriptionId}/manifest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ploti.ai/v1/subscriptions/{subscriptionId}/manifest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ploti.ai/v1/subscriptions/{subscriptionId}/manifest",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ploti.ai/v1/subscriptions/{subscriptionId}/manifest"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ploti.ai/v1/subscriptions/{subscriptionId}/manifest")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ploti.ai/v1/subscriptions/{subscriptionId}/manifest")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"subscriptionId": "<string>",
"generatedAt": "2023-11-07T05:31:56Z",
"eventCursor": "<string>",
"datasets": [
{
"datasetId": "<string>",
"version": 123,
"schemaVersion": "<string>",
"files": {
"snapshot": [
{
"url": "<string>",
"format": "geoparquet",
"rows": 123,
"bytes": 123,
"sha256": "<string>"
}
],
"schema": {
"url": "<string>",
"format": "geoparquet",
"rows": 123,
"bytes": 123,
"sha256": "<string>"
},
"expiresAt": "2023-11-07T05:31:56Z"
},
"title": "<string>",
"place": "<string>",
"topic": "<string>"
}
]
}Authorizations
An API key from Settings, API keys, with the feeds scope.
Path Parameters
Query Parameters
Available options:
geoparquet, csv